| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::ResourceSetSaveQuery Class Reference

Holds information about a resource set (project) saving query. More...

## Public Member Functions
| ResourceSetSaveQuery () noexcept
nkMemory::StringView | getPath () const
Node * | getNode () const
ResourceDeclAugmentCallback * | getAugmentCallback () const
bool | getScene () const
bool | getMeshes () const
bool | getShaders () const
bool | getShaderPrograms () const
bool | getCompositors () const
bool | getDefaultCompositor () const
bool | getRenderQueues () const
bool | getSamplers () const
bool | getTextures () const
bool | getBuffers () const
bool | getBlendState () const
bool | getDepthStencilState () const
bool | getRasterState () const
bool | getCompressDecl () const
bool | getCameras () const
void | setPath (const nkMemory::StringView &value)
void | setNode (Node *value)
void | setAugmentCallback (ResourceDeclAugmentCallback *value)
void | setScene (bool value)
void | setMeshes (bool value)
void | setShaders (bool value)
void | setShaderPrograms (bool value)
void | setCompositors (bool value)
void | setDefaultCompositor (bool value)
void | setRenderQueues (bool value)
void | setSamplers (bool value)
void | setTextures (bool value)
void | setBuffers (bool value)
void | setBlendState (bool value)
void | setDepthStencilState (bool value)
void | setRasterState (bool value)
void | setCompressDecl (bool value)
void | setCameras (bool value)

## Detailed Description

Holds information about a resource set (project) saving query.

A resource set saved allows to save the declaration of all non hidden, available resources in the component.

## Constructor & Destructor Documentation

## ◆ ResourceSetSaveQuery()

nkGraphics::ResourceSetSaveQuery::ResourceSetSaveQuery | ( |  | ) |
| noexcept

Constructor.

## Member Function Documentation

## ◆ getPath()

nkMemory::StringView nkGraphics::ResourceSetSaveQuery::getPath | ( |  | ) | const

Returns
  The path requested for the save.

## ◆ getNode()

Node* nkGraphics::ResourceSetSaveQuery::getNode | ( |  | ) | const

Returns
  The node from which the scene will be exported.

## ◆ getAugmentCallback()

ResourceDeclAugmentCallback* nkGraphics::ResourceSetSaveQuery::getAugmentCallback | ( |  | ) | const

Returns
  The used augmenting callback structure.

## ◆ getScene()

bool nkGraphics::ResourceSetSaveQuery::getScene | ( |  | ) | const

Returns
  Whether the scene will be exported (true) or not (false).

## ◆ getMeshes()

bool nkGraphics::ResourceSetSaveQuery::getMeshes | ( |  | ) | const

Returns
  Whether the meshes will be exported (true) or not (false).

## ◆ getShaders()

bool nkGraphics::ResourceSetSaveQuery::getShaders | ( |  | ) | const

Returns
  Whether the shaders will be exported (true) or not (false).

## ◆ getShaderPrograms()

bool nkGraphics::ResourceSetSaveQuery::getShaderPrograms | ( |  | ) | const

Returns
  Whether the programs will be exported (true) or not (false).

## ◆ getCompositors()

bool nkGraphics::ResourceSetSaveQuery::getCompositors | ( |  | ) | const

Returns
  Whether the compositors will be exported (true) or not (false).

## ◆ getDefaultCompositor()

bool nkGraphics::ResourceSetSaveQuery::getDefaultCompositor | ( |  | ) | const

Returns
  Whether the default compositor used will be exported (true) or not (false).

## ◆ getRenderQueues()

bool nkGraphics::ResourceSetSaveQuery::getRenderQueues | ( |  | ) | const

Returns
  Whether the render queues will be exported (true) or not (false).

## ◆ getSamplers()

bool nkGraphics::ResourceSetSaveQuery::getSamplers | ( |  | ) | const

Returns
  Whether the samplers will be exported (true) or not (false).

## ◆ getTextures()

bool nkGraphics::ResourceSetSaveQuery::getTextures | ( |  | ) | const

Returns
  Whether the textures will be exported (true) or not (false).

## ◆ getBuffers()

bool nkGraphics::ResourceSetSaveQuery::getBuffers | ( |  | ) | const

Returns
  Whether the buffers will be exported (true) or not (false).

## ◆ getBlendState()

bool nkGraphics::ResourceSetSaveQuery::getBlendState | ( |  | ) | const

Returns
  Whether the blend states will be exported (true) or not (false).

## ◆ getDepthStencilState()

bool nkGraphics::ResourceSetSaveQuery::getDepthStencilState | ( |  | ) | const

Returns
  Whether the depth and stencil states will be exported (true) or not (false).

## ◆ getRasterState()

bool nkGraphics::ResourceSetSaveQuery::getRasterState | ( |  | ) | const

Returns
  Whether the raster states will be exported (true) or not (false).

## ◆ getCompressDecl()

bool nkGraphics::ResourceSetSaveQuery::getCompressDecl | ( |  | ) | const

Returns
  Whether the declaration file will be compressed into one or not.

## ◆ getCameras()

bool nkGraphics::ResourceSetSaveQuery::getCameras | ( |  | ) | const

Returns
  Whether the cameras will be exported (true) or not (false).

## ◆ setPath()

void nkGraphics::ResourceSetSaveQuery::setPath | ( | const nkMemory::StringView & | value | ) |

Sets the path to export to. Relative to the working directory. See nkResources::ResourceManager for path naming conventions.

Parameters

  value | The path to export to.

## ◆ setNode()

void nkGraphics::ResourceSetSaveQuery::setNode | ( | Node * | value | ) |

Sets the node from which to export the scene. If left unspecified, the scene will start from the root.

Parameters

  value | The node to start exporting from.

## ◆ setAugmentCallback()

void nkGraphics::ResourceSetSaveQuery::setAugmentCallback | ( | ResourceDeclAugmentCallback * | value | ) |

Sets the augmentation callback used, when processing resources.

Parameters

  value | The callback structure to use.

## ◆ setScene()

void nkGraphics::ResourceSetSaveQuery::setScene | ( | bool | value | ) |

Sets whether the scene, symbolized by the node given, should be exported or not.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setMeshes()

void nkGraphics::ResourceSetSaveQuery::setMeshes | ( | bool | value | ) |

Sets whether the meshes should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setShaders()

void nkGraphics::ResourceSetSaveQuery::setShaders | ( | bool | value | ) |

Sets whether the shaders should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setShaderPrograms()

void nkGraphics::ResourceSetSaveQuery::setShaderPrograms | ( | bool | value | ) |

Sets whether the programs should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setCompositors()

void nkGraphics::ResourceSetSaveQuery::setCompositors | ( | bool | value | ) |

Sets whether the compositors should be exported or not.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setDefaultCompositor()

void nkGraphics::ResourceSetSaveQuery::setDefaultCompositor | ( | bool | value | ) |

Sets whether the default compositor used should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setRenderQueues()

void nkGraphics::ResourceSetSaveQuery::setRenderQueues | ( | bool | value | ) |

Sets whether the render queues should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setSamplers()

void nkGraphics::ResourceSetSaveQuery::setSamplers | ( | bool | value | ) |

Sets whether the samplers should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setTextures()

void nkGraphics::ResourceSetSaveQuery::setTextures | ( | bool | value | ) |

Sets whether the textures should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setBuffers()

void nkGraphics::ResourceSetSaveQuery::setBuffers | ( | bool | value | ) |

Sets whether the buffers should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setBlendState()

void nkGraphics::ResourceSetSaveQuery::setBlendState | ( | bool | value | ) |

Sets whether the blend states should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setDepthStencilState()

void nkGraphics::ResourceSetSaveQuery::setDepthStencilState | ( | bool | value | ) |

Sets whether the depth and stencil states should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setRasterState()

void nkGraphics::ResourceSetSaveQuery::setRasterState | ( | bool | value | ) |

Sets whether the raster states should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

## ◆ setCompressDecl()

void nkGraphics::ResourceSetSaveQuery::setCompressDecl | ( | bool | value | ) |

Sets whether the declarations should be compressed as one declaration or not.

Parameters

  value | Whether it should be compressed (true) or not (false).

## ◆ setCameras()

void nkGraphics::ResourceSetSaveQuery::setCameras | ( | bool | value | ) |

Sets whether the cameras should be exported.

Parameters

  value | Whether it should be exported (true) or not (false).

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Resources/ResourceSetSaveQuery.h